> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns upcoming minimum wage rates by effective date range

> mwUid has to be a string in format stateCode-authorityType-authorityCode-majorType-industryTypeCode-minorTypeCode. Also wildcard '*' can be used and unspecified-rest is accepted as well. To specify an effective date  range the 'from' and 'to' parameters must be set. The valid date format is yyyy-mm-dd. By default the 'from'  date will be today's date and the 'to' date will be unset providing all future rates 



## OpenAPI

````yaml /mwf/api-reference/minimum-wage-finder.yaml get /v1/rates/effective
openapi: 3.0.1
info:
  title: Minimum Wage Finder API
  description: Symmetry Minimum Wage Finder API documentation
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
    email: support@symmetry.com
  license:
    name: Symmetry Software/Terms of Use
    url: https://www.symmetry.com/terms
  version: 1.3.65
servers:
  - url: https://api.symmetry.com/mwf
security: []
tags:
  - name: Minimum wage
    description: Endpoints returning the minimum wage
  - name: Documentation
    description: Documentation helper endpoints
  - name: Postman
    description: Resources for Postman
paths:
  /v1/rates/effective:
    get:
      tags:
        - Minimum wage
      summary: Returns upcoming minimum wage rates by effective date range
      description: >-
        mwUid has to be a string in format
        stateCode-authorityType-authorityCode-majorType-industryTypeCode-minorTypeCode.
        Also wildcard '*' can be used and unspecified-rest is accepted as well.
        To specify an effective date  range the 'from' and 'to' parameters must
        be set. The valid date format is yyyy-mm-dd. By default the 'from'  date
        will be today's date and the 'to' date will be unset providing all
        future rates 
      operationId: fakeGetUpcomingRates
      parameters:
        - name: mwUid
          in: query
          required: false
          schema:
            type: string
            default: '*-*-*-*-*-*'
          example: '*-*-*-*-*-*'
        - name: from
          in: query
          required: false
          schema:
            type: string
            format: date-time
          example: '2025-01-01T00:00:00.000Z'
        - name: to
          in: query
          required: false
          schema:
            type: string
            format: date-time
          example: '2025-12-31T00:00:00.000Z'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RatesProjectionRecord'
      security:
        - AuthenticationToken: []
components:
  schemas:
    RatesProjectionRecord:
      type: object
      properties:
        mwUid:
          type: string
        authority:
          type: string
        authorityCode:
          type: integer
          format: int64
        authorityType:
          type: string
        authorityTypeCode:
          type: integer
          format: int64
        details:
          type: string
        effectiveDate:
          type: string
          format: date
        industryType:
          type: string
        industryTypeCode:
          type: integer
          format: int64
        inherits:
          type: string
        majorType:
          type: string
        minorType:
          type: string
        minorTypeCode:
          type: integer
          format: int64
        note:
          type: string
        rate:
          type: number
          format: float
        state:
          type: string
        stateCode:
          type: string
        updated:
          type: string
          format: date-time
  securitySchemes:
    AuthenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````